Loading...
Searching...
No Matches
Opm::RestartIO::RstState Struct Reference

## Public Member Functions

| RstState (std::shared_ptr< EclIO::RestartFileView > rstView, const Runspec &runspec, const ::Opm::EclipseGrid *grid)
const RstWell & | get_well (const std::string &wname) const

## Static Public Member Functions

static RstState | load (std::shared_ptr< EclIO::RestartFileView > rstView, const Runspec &runspec, const Parser &parser, const ::Opm::EclipseGrid *grid=nullptr)

## Public Attributes

::Opm::UnitSystem | unit_system
RstHeader | header
RstAquifer | aquifers
RstNetbalan | netbalan
RstNetwork | network
std::vector< RstWell > | wells
std::vector< RstGroup > | groups
std::vector< RstUDQ > | udqs
std::optional< RstUDQActive > | udq_active
std::vector< RstAction > | actions
Tuning | tuning
OilVaporizationProperties | oilvap
std::unordered_map< std::string, std::vector< std::string > > | wlists

The documentation for this struct was generated from the following files:

- opm/io/eclipse/rst/state.hpp
- opm/io/eclipse/rst/state.cpp